"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Client = require('@elastic/elasticsearch').Client;
// const logger = require('node-color-log');
var clc = require("cli-color");
try {
    var sleep = require("sleep");
}
catch (error) {
    sleep = undefined;
}
var EsServiceBase_class_1 = require("./EsServiceBase.class");
var EsService = /** @class */ (function (_super) {
    __extends(EsService, _super);
    function EsService(options) {
        var _this = _super.call(this) || this;
        _this.host = process.env.ES_HOST;
        _this.port = process.env.ES_PORT;
        _this.storage_path = process.env.STORAGE_PATH;
        _this.watch_stop = false;
        _this.tmp_status = "";
        _this.temporay_repository = "";
        _this.init_client(options);
        return _this;
    }
    EsService.prototype.respFormat = function (resp) {
        return resp;
    };
    EsService.prototype.init_client = function (options) {
        var elasticsearch = require('elasticsearch');
        var AWS = require('aws-sdk');
        var connectionClass = require('http-aws-es');
        AWS.config.update({
            credentials: new AWS.Credentials(options.AWS_AccessKey, options.AWS_SecretKey),
            region: options.AWS_REGION
        });
        this.client = new elasticsearch.Client({
            host: options.ES_HOST,
            connectionClass: connectionClass,
            apiVersion: "6.8",
            amazonES: {
                credentials: new AWS.EnvironmentCredentials('AWS')
            }
        });
    };
    return EsService;
}(EsServiceBase_class_1.EsServiceBase));
exports.EsService = EsService;
