const logger = require('node-color-log');
const clc = require("cli-color");


import { ProgressBar } from "./ProgressBar.service";
// logger.setLevel("debug");
// logger.info("message");

class OutPut {
    public logger = logger
    public clc = clc

    constructor() {
    }

    error(msg: string) {
        this.echo(msg, clc.xterm(251).bgRed)
    };

    warn(msg: string) {
        this.echo(msg, clc.yellow)
    }

    success(msg: any) {
        this.echo(msg, clc.green)
    }

    notice(msg: string) {
        this.echo(msg, clc.notice)
    }

    table(table: any) {
        console.table(table)
    }

    echo(msg: any, type_action: any) {
        if (typeof msg === 'string') {
            console.log(type_action(msg))
        } else {
            console.log(msg)
        }
    }

    ProgressBar(description: string, length: number) {
        let pb = new ProgressBar(description, length);
        return pb
    }

}

let outPut = new OutPut
export { outPut }