Translate Date from one Es to another
------------


Install esbs global:

```SHELL
npm install -g elasticsearch-backup
```

Init config file to home:

```SHELL
esbs --init
```


local es:

```SHELL
esbs -B -r shakespeare_repo -s shakespeare_snap1 -i shakespeare -t s3
```

Change to aws es:

```SHELL
esbs --cr -r shakespeare_repo --aws
```

Default restore all indices in one snapshot:

```SHELL
esbs -R -r shakespeare_repo -s shakespeare_snap1 --aws
```

Change restore index with an new name 

```SHELL
esbs -R -r shakespeare_repo -s shakespeare_snap1 --aws -i shakespeare --rp shakespeare --rr shakespeare_bak
```

Show recovery(restore) process by repository ,snapshot

```SHELL
esbs --sr2 -r shakespeare_repo -s shakespeare_snap1 -w
```

Show recovery(restore) process by index

```SHELL
esbs --sr2 -i shakespeare
esbs --sr2 -i shakespeare_bak
```

Show repositories

```SHELL
esbs --sr
```

Show snapshots

```SHELL
esbs --ss -r shakespeare_repo
```

Show snapshotinfo

```SHELL
esbs --ssi -r shakespeare_repo -s shakespeare_snap1
```


Show Current running snapshots

```SHELL
esbs --sss -r shakespeare_repo -s shakespeare_snap1
```

Delete repositories : Just delete record in es ,not delete snapshot in s3/fs

```SHELL
esbs -D -r shakespeare_repo 
```

Delete snapshots

```SHELL
esbs -D -r shakespeare_repo -s shakespeare_snap1
```
