"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var logger = require('node-color-log');
var clc = require("cli-color");
var ProgressBar_service_1 = require("./ProgressBar.service");
// logger.setLevel("debug");
// logger.info("message");
var OutPut = /** @class */ (function () {
    function OutPut() {
        this.logger = logger;
        this.clc = clc;
    }
    OutPut.prototype.error = function (msg) {
        this.echo(msg, clc.xterm(251).bgRed);
    };
    ;
    OutPut.prototype.warn = function (msg) {
        this.echo(msg, clc.yellow);
    };
    OutPut.prototype.success = function (msg) {
        this.echo(msg, clc.green);
    };
    OutPut.prototype.notice = function (msg) {
        this.echo(msg, clc.notice);
    };
    OutPut.prototype.table = function (table) {
        console.table(table);
    };
    OutPut.prototype.echo = function (msg, type_action) {
        if (typeof msg === 'string') {
            console.log(type_action(msg));
        }
        else {
            console.log(msg);
        }
    };
    OutPut.prototype.ProgressBar = function (description, length) {
        var pb = new ProgressBar_service_1.ProgressBar(description, length);
        return pb;
    };
    return OutPut;
}());
var outPut = new OutPut;
exports.outPut = outPut;
