const { Client } = require('@elastic/elasticsearch')

import { EsServiceBase } from "./EsServiceBase.class";

class EsService extends EsServiceBase {
    public host = process.env.ES_HOST
    public port = process.env.ES_PORT
    public storage_path = process.env.STORAGE_PATH
    public watch_stop = false;
    public client: any
    public tmp_status = ""
    public pb: any
    public temporay_repository: string = ""

    constructor(options: any) {
        super();
        this.init_client(options)

    }

    respFormat(resp: any) {
        return resp.body
    }
    init_client(options: any) {
        this.client = new Client({ node: `${options.ES_HOST}:${options.ES_PORT}` })
    }


}

export { EsService }